Traces
Get Activities By Type
Queries all activities of a specific type.
Authorization
api_key api-key<token>
In: header
Query Parameters
tenantAlias*string
The tenant identifier
activityType*string
The type of activity to filter by
Value in
"PaymentEvent" | "SubscriptionCreationEvent" | "SubscriptionCancellationEvent" | "SubscriptionDeletionEvent" | "SubscriptionScheduledChangeEvent" | "RecurringPaymentCancellationEvent" | "ProductDeletionEvent" | "PriceDeletionEvent" | "PriceUpdateEvent" | "ProductExpiryEvent" | "CustomerDeletionEvent"startDate?string
Optional start date filter
endDate?string
Optional end date filter
limit?number
Maximum number of records to return
Format
doublecursor?string
Pagination cursor
order?string
Sort order for results
Value in
"asc" | "desc"Response Body
application/json
application/json
curl -X GET "https://api.paynowpro.com/api/v1/traces/type?tenantAlias=string&activityType=PaymentEvent"{
"data": [
{
"tenantAlias": "string",
"traceId": "string",
"eventId": "string",
"executorId": "string",
"parentId": "string",
"isRoot": true,
"activityType": "PaymentEvent",
"payload": {
"property1": null,
"property2": null
},
"createdAt": "string"
}
],
"nextCursor": "string"
}{
"cause": null,
"body": {
"response": {
"body": "string",
"headers": {
"property1": "string",
"property2": "string"
}
},
"request": {
"body": "string",
"headers": {
"property1": "string",
"property2": "string"
},
"url": "string",
"method": "string"
},
"reason": "string",
"code": 400
}
}